<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>Box Sizing Demo</title>
	<style type="text/css">
		* {
			margin: 0;
			padding: 0;
			box-sizing: border-box;
		}

		#box {
			height: 150px;
			width: 150px;
			padding:  50px;
			border: 1px solid black;
			background-color: orange;
		}

		/* Without border-box 
			width = 1px border right + 1px border left + 50px padding left + 50px padding right + 150px width = 252px

			height
		
		*/

	</style>
</head>
<body>
	<div id="box">Hello</div>
</body>
</html>